function tests = validateeegTest
tests = functiontests(localfunctions);
end % validateeegTest

function setupOnce(testCase)
testCase.TestData.EEG1.event(1).usertags = '';
testCase.TestData.EEG2.event(1).usertags = ['Event/Label/Test1,' ...
    'Event/Category/Participant response,' ...
    'Event/Description/This is a test,' ...
    '(Participant ~ ' ...
    'Action/Control vehicle/Drive/Collide ~ ' ...
    'Item/Object/Vehicle/Car)'];
testCase.TestData.EEG3.event(1).usertags = ['Event/Label/Test1,' ...
    'Event/Category/Participant response,' ...
    'Event/Description/This is a test (Participant ~ ' ...
    'Action/Control vehicle/Drive/Collide ~ ' ...
    'Item/Object/Vehicle/Car)'];
testCase.TestData.EEG4.event(1).usertags = ['(Participant ~ ' ...
    'Action/Control vehicle/Drive/Collide ~ ' ...
    'Item/Object/Vehicle/Car),' ...
    'Event/Label/Test1,' ...
    'Event/Category/Participant response,'];
end

function testValidateEEG(testCase)  
% Unit test for editmaps
fprintf('\nUnit tests for validateeeg\n');

fprintf('\nIt should return no errors when there is a empty HED string');
errors = validateeeg(testCase.TestData.EEG1);
testCase.verifyTrue(isempty(errors));

fprintf('\nIt should return no errors when the HED string is valid');
errors = validateeeg(testCase.TestData.EEG2);
testCase.verifyTrue(isempty(errors));

fprintf(['\nIt should return errors when there is a missing comma' ...
    ' before a group']);
errors = validateeeg(testCase.TestData.EEG3);
testCase.verifyFalse(isempty(errors));

fprintf(['\nIt should return errors when there is a required tag' ...
    ' missing']);
errors = validateeeg(testCase.TestData.EEG4);
testCase.verifyFalse(isempty(errors));
end